// Generated by ReScript, PLEASE EDIT WITH CARE
'use strict';

var Fs = require("fs");
var Path = require("path");
var Belt_Array = require("bs-platform/lib/js/belt_Array.js");
var Belt_Option = require("bs-platform/lib/js/belt_Option.js");
var Child_process = require("child_process");
var Default$CreateRsProject = require("./default.bs.js");

var directoryName = Belt_Option.getWithDefault(Belt_Array.get(process.argv, 2), "rs_project");

var directoryPath = Path.join(process.cwd(), directoryName);

if (!Fs.existsSync(directoryPath)) {
  console.log("Generating Project Directory...");
  Fs.mkdirSync(directoryPath);
  Fs.mkdirSync(Path.join(directoryPath, "src"));
  Fs.createWriteStream(Path.join(directoryPath, "README.md"));
  console.log("Writing default configurations...");
  Fs.writeFileSync(Path.join(directoryPath, "src", "demo.res"), Default$CreateRsProject.demoRes);
  Fs.writeFileSync(Path.join(directoryPath, "bsconfig.json"), Default$CreateRsProject.bscongifJson(directoryName));
  Fs.writeFileSync(Path.join(directoryPath, "package.json"), Default$CreateRsProject.packageJson(directoryName));
  Fs.writeFileSync(Path.join(directoryPath, ".gitignore"), Default$CreateRsProject.gitIgnore);
  console.log("Installing Dependencies...");
  Child_process.execSync("npm install --save", {
        cwd: directoryPath
      });
  console.log("Done!");
}

exports.directoryName = directoryName;
exports.directoryPath = directoryPath;
/* directoryName Not a pure module */
